Debian Bug report logs - #674806
freebsd-glue: Breaks on freebsd-buildutils renders the latter unbuildable

version graph

Package: freebsd-glue; Maintainer for freebsd-glue is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for freebsd-glue is src:freebsd-glue.

Reported by: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Date: Sun, 27 May 2012 20:36:05 UTC

Severity: serious

Tags: sid, wheezy

Found in version freebsd-glue/0.0.2

Fixed in version freebsd-glue/0.0.3

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#674806; Package freebsd-glue. (Sun, 27 May 2012 20:36:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 27 May 2012 20:36:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: submit@bugs.debian.org
Subject: freebsd-glue: Breaks on freebsd-buildutils renders the latter unbuildable
Date: Sun, 27 May 2012 21:32:56 +0100
Package: freebsd-glue
Version: 0.0.2
Severity: serious
Tags: wheezy sid

Hi,

The recent freebsd-glue upload added a "Breaks: freebsd-buildutils (<<
9.0-10)".  However, most architectures only have 9.0-9 and as
freebsd-buildutils Build-Depends on freebsd-glue on !kfreebsd-any, -10
is currently completely unbuildable on those architectures.

Regards,

Adam





Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Mon, 28 May 2012 09:22:08 GMT) Full text and rfc822 format available.

Notification sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Bug acknowledged by developer. (Mon, 28 May 2012 09:22:19 GMT) Full text and rfc822 format available.

Message #10 received at 674806-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 674806-close@bugs.debian.org
Subject: Bug#674806: fixed in freebsd-glue 0.0.3
Date: Mon, 28 May 2012 09:17:28 +0000
Source: freebsd-glue
Source-Version: 0.0.3

We believe that the bug you reported is fixed in the latest version of
freebsd-glue, which is due to be installed in the Debian FTP archive:

freebsd-glue_0.0.3.dsc
  to main/f/freebsd-glue/freebsd-glue_0.0.3.dsc
freebsd-glue_0.0.3.tar.gz
  to main/f/freebsd-glue/freebsd-glue_0.0.3.tar.gz
freebsd-glue_0.0.3_all.deb
  to main/f/freebsd-glue/freebsd-glue_0.0.3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 674806@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated freebsd-glue package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 28 May 2012 11:02:56 +0200
Source: freebsd-glue
Binary: freebsd-glue
Architecture: source all
Version: 0.0.3
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 freebsd-glue - Emulate a FreeBSD build environment
Closes: 674803 674806
Changes: 
 freebsd-glue (0.0.3) unstable; urgency=low
 .
   * Move freebsd-buildutils from Depends to Recommends to break circular
     dependency.  (Closes: #674806)
   * Don't include <sys/_types.h> on non-kFreeBSD.  (Closes: #674803)
Checksums-Sha1: 
 04d3375c14cae4aa22c068c969c036b7db9ed848 970 freebsd-glue_0.0.3.dsc
 c780bff663b31f8060540ed53d53eb884b79ca9c 18680 freebsd-glue_0.0.3.tar.gz
 1bc7f19aaa8712722d074b868b9502a8884ea061 20142 freebsd-glue_0.0.3_all.deb
Checksums-Sha256: 
 6d05110fda6563e651c9d554bd67bce2b0cb3a2e4b97665055f4a49ee59f572f 970 freebsd-glue_0.0.3.dsc
 509337eb23776617076a817ddc100e5e5563c2960f480dab4f8df7904322aeee 18680 freebsd-glue_0.0.3.tar.gz
 4472dae4b48e8251a88974244f49338d467f9e4848750f9e9302c899c51109da 20142 freebsd-glue_0.0.3_all.deb
Files: 
 dffee2bf41ebb15f1577a03570366004 970 devel extra freebsd-glue_0.0.3.dsc
 92697570cc308ef3622c7d29de0adbf8 18680 devel extra freebsd-glue_0.0.3.tar.gz
 c73333e36a9225d1bfbc68e3879b83d8 20142 devel extra freebsd-glue_0.0.3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/kFreeBSD)

iEYEARECAAYFAk/DQWgACgkQC19io6rUCv9PDgCbB0WdD0AxWF5D4TFbyqB8CZcz
8M4An0ClV7htAgMM4Cmo6uKPfkm5dBCd
=pABq
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#674806; Package freebsd-glue. (Mon, 28 May 2012 09:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 28 May 2012 09:27:07 GMT) Full text and rfc822 format available.

Message #15 received at 674806@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 674806@bugs.debian.org
Subject: Re: Bug#674806: freebsd-glue: Breaks on freebsd-buildutils renders the latter unbuildable
Date: Mon, 28 May 2012 11:16:32 +0200
2012/5/27 Adam D. Barratt <adam@adam-barratt.org.uk>:
> The recent freebsd-glue upload added a "Breaks: freebsd-buildutils (<<
> 9.0-10)".  However, most architectures only have 9.0-9 and as
> freebsd-buildutils Build-Depends on freebsd-glue on !kfreebsd-any, -10
> is currently completely unbuildable on those architectures.

Fixed in 0.0.3, please could you schedule a rebuild of freebsd-buildutils?

-- 
Robert Millan




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 06 Jul 2012 07:34:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:35:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.